html, body {
  min-height: 100vh;
}

select {
  max-width: 100%;
}

body {
  position: relative;

  header {
    background-size: cover;
    background-position: center bottom;
    height: 100px;
    display: none;
    align-items: center;
    padding: 0 30px;

    .navbar-brand {
      color: #fff;
      text-transform: uppercase;
      font-weight: bold;
      font-size: 30px;
    }
  }

  &.home header {
    height: 300px;
  }

  &.recipe-page header {
    background: $basic_text !important;
  }
}

aside {
  padding-top: 20px;
}

.container h1 {
  margin-top: 20px;
}

.action-container {
  cursor: pointer;
  position: fixed;
  bottom: 50px;
  right: 50px;

  &:hover {
    .edit-profile-float {
      box-shadow: 3px 3px 5px rgba(0, 0, 0, .5);
      transform: translateY(-70px);
    }
  }
}

.add-recipe-float,
.edit-profile-float {
  width: 64px;
  height: 64px;
  background-color: $norm;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-size: 30px;
  box-shadow: 3px 3px 5px rgba(0, 0, 0, .5);
  text-decoration: none;
  z-index: 20;
  transition: transform .4s, box-shadow .4s;
  position: absolute;
  bottom: 0;
  right: 0;

  i {
    transition: transform .4s;
  }

  &:hover {
    text-decoration: none;

    i {
      color: #fff;
      transform: rotate(90deg);
    }
  }
}

.edit-profile-float {
  background-color: $mild;
  box-shadow: none;
  z-index: 19;

  svg {
    fill: #fff;
    width: 30px;
    height: 30px;

    path {
      width: 30px;
      height: 30px;
    }
  }
}

.navbar-collapse {
  position: absolute;
  left: 0;
  top: 48px;
  background-color: $recipe-header-color;
  width: 100%;
  z-index: 99;

  li a.nav-link {
    display: block;
    padding: 10px !important;

    &:hover {
      background-color: $basic_text;
      color: #fff !important;
    }
  }
}

.main-content {
  min-height: calc(100vh - 250px);
}

.imperial {
  .met {
    display: none !important;
  }
}

.metric {
  .imp {
    display: none !important;
  }
}

.warning-icon {
  fill: $warning;
}

.unit-switch {
  label {
    display: flex;
    flex-direction: row;
  }

  .sw-outer {
    width: 50px;
    height: 25px;
    background-color: #fefefe;
    border: 1px solid $input-border;
    border-radius: 3px;
    margin: 0 5px;
    padding: 1px;
    box-sizing: border-box;
  }

  .sw-inner {
    width: 21px;
    height: 21px;
    border-left: 1px solid #aaaaff;
    border-top: 1px solid #aaaaff;
    border-right: 1px solid #0000aa;
    border-bottom: 1px solid #0000aa;
    border-radius: 3px;
    background-color: #007bff;
    transition: transform .5s;
  }

  input {
    visibility: hidden;
    position: absolute;
    top: 0;
    left: 0;

    &:checked + .sw-inner {
      transform: translateX(25px);
    }
  }
}

.btn-row-container {
  width: 100%;
  text-align: center;
  margin: 30px 0;

  .btn {
    width: 120px;
    margin: 5px;
    display: block;
  }
}

.modal-body {
  overflow-y: auto;
  max-height: calc(100vh - 80px);
}

@media only screen and (min-width: 640px) {
  .navbar-collapse {
    position: static;
  }
}
